Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7558

Remove outdated editor extensions from the Puppet repo

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 5.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Epic Link:
    • Team:
      Agent
    • Story Points:
      1
    • Sprint:
      Agent 2017-05-31
    • Release Notes:
      Deprecation
    • Release Notes Summary:
      Outdated files with macros and configurations for the puppet language for emacs and vim have been removed.
    • QA Risk Assessment:
      No Action

      Description

      The Puppet repository contains some editor syntax plugins under the ext/ directory:

      • ext/emacs: No meaningful updates since 2014
      • ext/vim: No meaningful updates since 2009

      Since the last updates on these projects pre-date the Puppet 4 language, we should remove them in Puppet 5 to prevent user confusion. In general, these sorts of plugins make more sense as separate projects that are not coupled to the Puppet release cycle.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              qa qa
              Reporter:
              chuck Charlie Sharpsteen
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support